إصدار ‏‎Graph API‎‏

Whats App Business Account Subscribed Apps

قراءة

Get a list of apps subscribed to webhooks for the WABA.

مثال

Graph API Explorer
GET /v25.0/{whats-app-business-account-id}/subscribed_apps HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/subscribed_apps',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/subscribed_apps",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/subscribed_apps",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/subscribed_apps"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
إذا كنت تريد التعرف على كيفية استخدام واجهة Graph API، يرجى قراءة ‏دليل استخدام واجهة Graph API‏.

المعلمات

لا تحتوي نقطة النهاية هذه على أي معلمات.

الحقول

ستؤدي القراءة من عنصر الربط هذا إلى نتيجة بتنسيق JSON:

{ "data": [], "paging": {} }

data

قائمة عُقد ‏‎WhatsAppApplication‎‏.

paging

لمزيد من التفاصيل عن تقسيم الصفحات، يرجى الاطلاع على ‏دليل Graph API‏.

‎Error Codes‎

خطأالوصف
100Invalid parameter
200Permissions error
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.

إنشاء

‎You can make a POST request to subscribed_apps edge from the following paths:
‎When posting to this edge, a WhatsAppApplication will be created.‎

المعلمات

معلمةالوصف
override_callback_uri
URI

Required if overriding the callback URL.


New callback URL. See Overriding the Callback URL.

verify_token
string

Required if overriding the callback URL.


Callback verification token. See Overriding the Callback URL.

‎Return Type‎

‎This endpoint supports ‎read-after-write‎ and will read the node to which you POSTed.‎
Struct {
success: bool,
}

‎Error Codes‎

خطأالوصف
100Invalid parameter
2200subscription validation failed
200Permissions error
2201received an invalid hub.challenge while validating endpoint
190Invalid OAuth 2.0 Access Token
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.

جارٍ التحديث

لا يمكنك تنفيذ هذه العملية في نقطة النهاية هذه.

جارٍ الحذف

‎You can dissociate a WhatsAppApplication from a WhatsAppBusinessAccount by making a DELETE request to /{whats_app_business_account_id}/subscribed_apps.‎

المعلمات

لا تحتوي نقطة النهاية هذه على أي معلمات.

‎Return Type‎

Struct {
success: bool,
}

‎Error Codes‎

خطأالوصف
100Invalid parameter
200Permissions error
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.
190Invalid OAuth 2.0 Access Token